﻿:root {
    --nav-width: 68px;
    --primary-color: #141414;
    --z-fixed: 100;
    --nav-link-default: #757575;
    --nav-background: #f5f5f5;
    --nav-right-border: #e8e8e8;
}

.left-nav {
    display: flex;
    left: 0;
    width: calc(var(--nav-width) - 1em);
    background-color: var(--nav-background);
    padding: 1rem 1rem 0 0;
    transition: 0.5s;
    z-index: 100;
    user-select: none;
    border-right: 1px solid var(--nav-right-border);
}

.nav {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
}

.nav_logo,
.nav_link {
    display: grid;
    grid-template-columns: max-content max-content;
    align-items: center;
    column-gap: 1rem;
    padding: 0.5rem 0 0.5rem 1.25rem;
}

.nav_logo {
    margin-bottom: 2rem;
}

.nav_link {
    position: relative;
    color: var(--nav-link-default) !important;
    margin-bottom: 0.5rem;
    transition: 0.3s;
    font-weight: 500;
}

    .nav_link:hover {
        color: var(--primary-color) !important;
    }

.nav_icon {
    font-size: 1.25rem;
}

.showSidebar {
    width: calc(var(--nav-width) + 140px) !important;
}

.active {
    color: var(--primary-color) !important;
}

/* Reports Menu Item */
.reports-container {
    display: flex;
    align-items: center;
    cursor: pointer;
}

    .reports-container:hover i {
        color: var(--primary-color);
    }

.reports-submenu {
    margin-left: 3.5rem;
    display: none;
    overflow: hidden;
    transition: all 0.3s ease;
}

.reports-expanded {
    display: block;
}

.reports-submenu .nav_link {
    padding-left: 0;
    margin-bottom: 0.25em;
}

    .reports-submenu .nav_link:last-of-type {
        margin-bottom: 0.5em;
    }

/* Vehicles Menu Item */
.vehicles-container {
    display: flex;
    align-items: center;
    cursor: pointer;
}

    .vehicles-container:hover i {
        color: var(--primary-color);
    }

.vehicles-submenu {
    margin-left: 3.5rem;
    display: none;
    overflow: hidden;
    transition: all 0.3s ease;
}

.vehicles-expanded {
    display: block;
}

.vehicles-submenu .nav_link {
    padding-left: 0;
    margin-bottom: 0.25em;
}

    .vehicles-submenu .nav_link:last-of-type {
        margin-bottom: 0.5em;
    }

/* Port Connect Menu Item */
.portconnect-container {
    display: flex;
    align-items: center;
    cursor: pointer;
}

    .portconnect-container:hover i {
        color: var(--primary-color);
    }

.portconnect-submenu {
    margin-left: 3.5rem;
    display: none;
    overflow: hidden;
    transition: all 0.3s ease;
}

.portconnect-expanded {
    display: block;
}

.portconnect-submenu .nav_link {
    padding-left: 0;
    margin-bottom: 0.25em;
}

    .portconnect-submenu .nav_link:last-of-type {
        margin-bottom: 0.5em;
    }


/* Pop-up menu when clicking an item in collapsed mode */
.submenu-preview {
    display: flex;
    position: absolute;
    background-color: #ffffff;
    left: 60px;
    width: auto;
    flex-direction: column;
    border: 1px solid #dcdcdc;
    border-radius: 4px;
    padding: 0.5rem 0;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
    margin: -40px 0px 0px -5px;
}

    .submenu-preview .nav_link {
        margin-bottom: 0px;
        font-size: 14px;
        padding: 0.5rem 1.25rem;
        column-gap: 0.75rem;
    }

        .submenu-preview .nav_link:hover {
            background: var(--nav-background);
        }

        .submenu-preview .nav_link:last-of-type {
            margin-bottom: 0px;
        }

/* Chevron toggle icon */
#nav-toggle {
    color: var(--nav-link-default);
    font-size: 1.25rem;
    cursor: pointer;
}

.toggler:hover #nav-toggle {
    color: var(--primary-color);
}

.toggler img {
    max-width: 130px;
}

.chevron-icon {
    font-size: 1.25rem;
    color: var(--nav-link-default);
    cursor: pointer;
}

.nav_link.active .chevron-icon {
    color: var(--primary-color);
}

/* Media Queries */
@media screen and (min-width: 768px) {
    .left-nav {
        padding: 1rem 1rem 0 0;
        width: calc(var(--nav-width) - 0.5em)
    }
}

@media screen and (max-width: 768px) {
    .submenu-preview {
        margin-left: -10px;
    }
}
